Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454038 - Additional columns available in query resultsgroups doesn't wrap
Summary: Additional columns available in query resultsgroups doesn't wrap
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 3.2
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: Noura El hawary
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHBZ30UpgradeTracker
TreeView+ depends on / blocked
 
Reported: 2008-07-04 01:54 UTC by Noura El hawary
Modified: 2013-06-24 04:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 16:19:40 UTC


Attachments (Terms of Use)
v1 wrapping addtional columns in buglist.cgi (deleted)
2008-07-04 02:00 UTC, Noura El hawary
dkl: review+
Details | Diff

Description Noura El hawary 2008-07-04 01:54:27 UTC
Additional columns added to the query resultgroups, "Depends On, Blocked By,
flags, Issue Tracker" do not wrap their text when they have large contents.

Comment 1 Noura El hawary 2008-07-04 02:00:52 UTC
Created attachment 310972 [details]
v1 wrapping addtional columns in buglist.cgi

as an example of this problem please see,

https://bz-web2-test.devel.redhat.com/buglist.cgi?bug_id=440169&columnlist=bug_severity%2Cpriority%2Crep_platform%2Cassigned_to%2Cbug_status%2Cresolution%2Cop_sys%2Cdependson%2Cblockedby%2Cshort_desc&field-1-0-0=bug_id&query_format=advanced&remaction=&type-1-0-0=anyexact&value-1-0-0=440169&query_based_on=


attached is a patch to fix it and add the wrap option to those columns I am not
sure if this is the right place to the the option or it should be added to an
extension, i can not find the hook "list_table_abbrev" that is mentioned in
template/en/default/list/table.html.tmpl ,, also the patch in the bug 406151
doesn't include this hook. 

Please review when you can. 

Thanks,
Noura

Comment 2 David Lawrence 2008-07-04 04:51:08 UTC
Comment on attachment 310972 [details]
v1 wrapping addtional columns in buglist.cgi

If we did it with an extension it would be 

extensions/<extension_name>/template/en/list/table-list_table_abbrev.html.tmpl

but since we have the columns in the Bugzilla code in several places already 
such as Bugzilla/Search.pm, colchange.cgi, field-descs.none.tmpl, etc. I think
we can leave it in the templates as well for now. So your patch looks fine to
me.

Just put REDHAT EXTENSION around the section similar to how we have it in
template/en/default/global/field-descs.none.tmpl. And then check it in.

Dave

Comment 3 Noura El hawary 2008-07-04 05:42:38 UTC
Thanks for the review Dave ,, all committed to cvs now.

Noura


Note You need to log in before you can comment on or make changes to this bug.